package OnlineShop.domain;

import java.sql.Date;
import java.time.LocalDate;
import java.util.ArrayList;

public class Bestellung {
	
	private double kosten;
	private int gewicht;
	private double versandKosten;
	private ArrayList<Produkt> tempProdukt;
	private LocalDate  date;
	
	public void gesamtKosten(ArrayList<Produkt> produkts) {
		tempProdukt = produkts;
	}

	public double getKosten() {
		kosten = 0;
		
		for (Produkt p : tempProdukt) 
			kosten += p.getPreis();
		
		String formatted = String.format("%.2f", kosten);
		formatted = formatted.replace(",", ".");  // Ersetzt das Komma durch einen Punkt
		double formattedDouble = Double.parseDouble(formatted);
		
		return formattedDouble;
	}

	public int getGewicht() {
		gewicht = 0;
		for (Produkt p : tempProdukt) 
			gewicht += p.getGewicht();
		
		return gewicht;
	}

	public double getVersandKosten() {
        versandKosten = 0;
		double gewichtInKg = gewicht / 1000.0;

		if (gewichtInKg < 1)
			versandKosten += 5;

		else if (gewichtInKg >= 1 && gewichtInKg <= 2.5)
			versandKosten += 8;

		else
			versandKosten += 10;

		return versandKosten;
	}
	
	public double getGesamtKosten() {
		double gesmatKosten =  kosten + versandKosten;
		String formatted = String.format("%.2f", gesmatKosten);
		formatted = formatted.replace(",", ".");  // Ersetzt das Komma durch einen Punkt
		double formattedDouble = Double.parseDouble(formatted);
		
		return formattedDouble;
		
	}

	public LocalDate  getDate() {
		return date;
	}

	public void setDate(LocalDate  date) {
		this.date = date;
	}
	
}
